Bug 1412015

Summary: [RFE] Enhance Nova/Neutron scheduling for VF vNIC placement to allow for NIC bonding at Guest VM
Product: Red Hat OpenStack Reporter: hrushi <hrushikesh.gangur>
Component: openstack-neutronAssignee: RHOS Maint <rhos-maint>
Status: NEW --- QA Contact: Eran Kuris <ekuris>
Severity: medium Docs Contact:
Priority: medium    
Version: 12.0 (Pike)CC: cfontain, chrisw, hrushikesh.gangur, jlibosva, lyarwood, markmc, mburns, sbauza, sgordon, srevivo, stephenfin
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Feature Request
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1476900, 1521118    

Description hrushi 2017-01-11 01:13:16 UTC
This requirements is coming from our customers not using software accelerated vswitch and expect bw aggregation and fault tolerance for the traffic using srviov VF backing vNICs. 

A similar implementation as suggested in this article but orchestrated through nova/neutron:
https://access.redhat.com/solutions/355853

Comment 1 Stephen Gordon 2017-02-14 15:55:06 UTC
This item is currently flagged for RHOSP 12, is it in scope for 12 from a networking team POV?

Comment 2 Assaf Muller 2017-02-14 18:21:54 UTC
(In reply to Stephen Gordon from comment #1)
> This item is currently flagged for RHOSP 12, is it in scope for 12 from a
> networking team POV?

It's not, thanks for pointing it out.

Comment 3 Nir Yechiel 2017-10-18 07:09:33 UTC
We have reviewed this feature request and we won't be able to prioritize it for RHOSP 13 due to other priorities.

Comment 7 Assaf Muller 2018-08-30 13:27:18 UTC
Removed from OSP 15 due to other priorities.